<template>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4>Add Users To Company</h4>
                </div>
                <div class="card-body">
                    <form @submit.prevent="create">
                        <div class="row">
                            <div class="col-12 mb-2" >
                                <h1>{{ company.name }}</h1>

                                <div v-for="(user,key) in users" :key="key">
                                    <input v-model="selected" :value="user.id" type="checkbox" id="checkbox">
                                    <label for="checkbox">{{ user.name }}</label>
                                </div>
                            </div>

                            <div class="col-12">
                                <button type="submit" class="btn btn-primary">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name:"update-company-users",
    data(){
        return {
            company:{
                name:"",
                id:"",
                users:[]
            },
            users:[],
            selected:[]
        }
    },
    mounted(){
        this.getUsers();
        this.showCompany();

    },
    methods: {
        async showCompany() {
            await this.axios.get(`/api/company/${this.$route.params.id}`).then(response => {
                this.company = response.data.company;
                this.selected = response.data.selected;
            }).catch(error => {
                console.log(error)
            })
        },
        async getUsers() {
            await this.axios.get('/api/user').then(response => {
                this.users = response.data
            }).catch(error => {
                console.log(error)
                this.users = []
            })
        },
        async update() {
            await this.axios.post(`/api/company/${this.$route.params.id}`, this.company).then(response => {
                this.$router.push({name: "companyList"})
            }).catch(error => {
                console.log(error)
            })
        },
        async create(){
            this.company.users = this.selected;
            await this.axios.post('/api/companyUser',this.company).then(response=>{
                this.$router.push({name:"companyList"})
            }).catch(error=>{
                console.log(error)
            })
        }
    }
}
</script>
